RSS   Vulnerabilities for 'Products.genericsetup'   RSS

2021-03-09
 
CVE-2021-21360

CWE-200
 

 
Products.GenericSetup is a mini-framework for expressing the configured state of a Zope Site as a set of filesystem artifacts. In Products.GenericSetup before version 2.1.1 there is an information disclosure vulnerability - anonymous visitors may view log and snapshot files generated by the Generic Setup Tool. The problem has been fixed in version 2.1.1. Depending on how you have installed Products.GenericSetup, you should change the buildout version pin to 2.1.1 and re-run the buildout, or if you used pip simply do pip install `"Products.GenericSetup>=2.1.1"`.

 

 >>> Vendor: ZOPE 5 Products
ZOPE
ZODB
Zope management interface
Products.pluggableauthservice
Products.genericsetup


Copyright 2022, cxsecurity.com

 

Back to Top